CRAN Package Check Results for Package MetaIntegrator

Last updated on 2021-08-05 22:54:56 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 2.1.3 14.99 162.47 177.46 OK
r-devel-linux-x86_64-debian-gcc 2.1.3 12.99 115.19 128.18 OK
r-devel-linux-x86_64-fedora-clang 2.1.3 216.40 NOTE
r-devel-linux-x86_64-fedora-gcc 2.1.3 199.48 NOTE
r-devel-windows-x86_64 2.1.3 24.00 204.00 228.00 OK
r-devel-windows-x86_64-gcc10-UCRT 2.1.3 ERROR
r-patched-linux-x86_64 2.1.3 15.67 151.95 167.62 OK
r-patched-solaris-x86 2.1.3 267.90 NOTE
r-release-linux-x86_64 2.1.3 14.52 147.34 161.86 OK
r-release-macos-arm64 2.1.3 ERROR
r-release-macos-x86_64 2.1.3 ERROR
r-release-windows-ix86+x86_64 2.1.3 32.00 212.00 244.00 OK
r-oldrel-macos-x86_64 2.1.3 ERROR
r-oldrel-windows-ix86+x86_64 2.1.3 33.00 197.00 230.00 OK

Check Details

Version: 2.1.3
Check: package dependencies
Result: NOTE
    Imports includes 35 non-default packages.
    Importing from so many packages makes the package vulnerable to any of
    them becoming unavailable. Move as many as possible to Suggests and
    use conditionally.
Flavor: r-devel-linux-x86_64-fedora-clang

Version: 2.1.3
Check: dependencies in R code
Result: NOTE
    Namespaces in Imports field not imported from:
     ‘BiocManager’ ‘DT’ ‘GEOmetadb’ ‘RMySQL’ ‘RSQLite’ ‘gplots’ ‘pheatmap’
     ‘readr’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86

Version: 2.1.3
Check: package dependencies
Result: ERROR
    Packages required but not available:
     'ggplot2', 'GEOquery', 'GEOmetadb', 'ggpubr', 'manhattanly', 'dplyr',
     'readr', 'plotly'
    
    Package suggested but not available for checking: 'snplist'
    
    See section 'The DESCRIPTION file' in the 'Writing R Extensions'
    manual.
Flavor: r-devel-windows-x86_64-gcc10-UCRT

Version: 2.1.3
Check: package dependencies
Result: ERROR
    Packages required but not available: 'GEOquery', 'GEOmetadb'
    
    Packages suggested but not available for checking: 'BiocStyle', 'snplist'
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-release-macos-arm64

Version: 2.1.3
Check: package dependencies
Result: ERROR
    Package required but not available: ‘GEOmetadb’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavors: r-release-macos-x86_64, r-oldrel-macos-x86_64